#
# Copyright (C) 2008-2009 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=pyModbusTCP
PKG_VERSION:=0.2.0
PKG_RELEASE:=1
PKG_REV:=cd22c569bf22080405835945bf813c7a75d95262

PKG_SOURCE_PROTO:=git
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=https://github.com/sourceperl/pyModbusTCP
PKG_SOURCE_VERSION:=$(PKG_REV)

#PKG_BUILD_DEPENDS:=libcap

include $(INCLUDE_DIR)/package.mk
$(call include_mk, python3-package.mk)

define Package/python3-$(PKG_NAME)
    SUBMENU:=Python
    SECTION:=lang
    CATEGORY:=Languages
    TITLE:=python3-pyModbusTCP
    URL:=https://github.com/sourceperl/pyModbusTCP
    DEPENDS:=+python3
endef

define Package/python3-$(PKG_NAME)/description
Python module to parse command output
endef

define Build/Compile
	$(call Build/Compile/Py3Mod,,install --prefix=/usr --root=$(PKG_INSTALL_DIR))
endef

define Package/python3-$(PKG_NAME)/install
	$(INSTALL_DIR) $(1)/$(PYTHON3_PKG_DIR)
	$(CP) $(PKG_INSTALL_DIR)$(PYTHON3_PKG_DIR)/* $(1)$(PYTHON3_PKG_DIR)/
	$(CP) $(PKG_INSTALL_DIR)/* $(1)/
endef

$(eval $(call BuildPackage,python3-$(PKG_NAME)))
